Create an Elastic Endpoint rule exception list item
- Base URL
-
https://{kibana_url}
- POST /api/endpoint_list/items
- POST /s/{space_id}/api/endpoint_list/items
Create an Elastic Endpoint exception list item, and associate it with the Elastic Endpoint exception list.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Exception list item's properties
-
commentsobject[] -
item_idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
Responses
Successful response
-
commentsobject[]required -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Invalid input data
Unsuccessful authentication
Insufficient privileges
Endpoint list item already exists